org.apache.fop.fo

## Class FOElementMapping

- java.lang.Object
- - org.apache.fop.fo.ElementMapping
  - - org.apache.fop.fo.FOElementMapping

-     public class FOElementMapping
      extends ElementMapping

  Element mapping class for all XSL-FO elements.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fo.ElementMapping

      `ElementMapping.Maker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `STANDARD_PREFIX` Standard prefix
    `static java.lang.String` | `URI` The XSL-FO namespace URI

    - ### Fields inherited from class org.apache.fop.fo.ElementMapping

      `DEFAULT, foObjs, namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOElementMapping()` Basic constructor; inititializes the namespace URI for the fo: namespace

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getStandardPrefix()`
    `protected void` | `initialize()` Initializes the collection of valid objects for the fo: namespace
    `boolean` | `isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)` Indicates whether a particular attribute of the namespace is a property, i.e.

    - ### Methods inherited from class org.apache.fop.fo.ElementMapping

      `getDefaultDOMImplementation, getDOMImplementation, getNamespaceURI, getTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### URI

          public static final java.lang.String URI

      The XSL-FO namespace URI
      See Also:
        Constant Field Values

    - #### STANDARD_PREFIX

          public static final java.lang.String STANDARD_PREFIX

      Standard prefix
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FOElementMapping

          public FOElementMapping()

      Basic constructor; inititializes the namespace URI for the fo: namespace

  - ### Method Detail

    - #### initialize

          protected void initialize()

      Initializes the collection of valid objects for the fo: namespace
      Specified by:
        `initialize` in class `ElementMapping`

    - #### getStandardPrefix

          public java.lang.String getStandardPrefix()

      Overrides:
        `getStandardPrefix` in class `ElementMapping`
      Returns:
        the standard namespace prefix for this namespace or null if it is not known.

    - #### isAttributeProperty

          public boolean isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)

      Indicates whether a particular attribute of the namespace is a property, i.e. the attribute value should be converted to a property value.
      Overrides:
        `isAttributeProperty` in class `ElementMapping`
      Parameters:
        `attributeName` - the attribute name
      Returns:
        true if the attribute should be converted to a property

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.